export interface GeneralConsent {
  id: number
  encounter_id: number
  value: string
}

export interface ValueCreateDto {
  relatives: string[]
  responsibleName: string
  responsiblePhone: string
  informant: string
  witness1: string
  witness2: string
}

export interface CreateDto {
  encounter_id: number
  value: string
}

export interface UpdateDto {
  id: number
  problem: string
  unit_id: number
}

export interface DeleteDto {
  id: number
}

export function genCreateDto(): CreateDto {
  return {
    encounter_id: 0,
    problem: '',
    unit_id: 0,
  }
}

export function genConsultation(): GeneralConsent {
  return {
    id: 0,
    encounter_id: 0,
    unit_id: 0,
    doctor_id: 0,
    problem: '',
    solution: '',
    repliedAt: '',
  }
}
